import chronoptics.tof as tof


cam = tof.TuiCamera("3030003")

names = cam.getMultipleNames()
descriptions = cam.getMultipleDescriptions()

for i, (name, description) in enumerate(zip(names, descriptions)):
    print(f"{i} {name.decode('ascii')}")
    print(f"\t{description.decode('ascii')}")

current_index = cam.configIndex()

print(f"Camera currently on config {current_index}")

cam.setOutputFrameTypes([tof.FrameType.XYZ])
cam.start()

cam.getFrames()

for i, name in enumerate(names):
    print(f"Switching to config {i}")

    cam.switchConfig(i)
    cam.getFrames()

    print(f"Got frames for config {i}")

cam.switchConfig(current_index)
cam.getFrames()
